cancel
Showing results for 
Search instead for 
Did you mean: 

Email not sending

Email not sending

I have installed aoeScheduler and after waiting 5 minutes I get the heartbeat.

 

When i look at the scheduler it says: missed

Multiple tasks with the same job code were piling up. Skipping execution of duplicates.
 

 

The emails are getting generated in the tables core_email_queue and core_email_queue_recipients and then they get cleaned out at some point (i guess midnight) but no emails are going.

 

I have installed a test wordpress blog on the same server in a subfolder and set up contact form 7 to test and it does send the email so I dont think it is an issue with the server.

 

i have set up my cron job

*/5 * * * * /bin/sh /home/tvpwhole/public_html/cron.sh >/dev/null 2>&1

 

I have added the test  queries to my cron and all i get is 

Cron Daemon		10:44 AM (4 minutes ago)
Status: 500 Internal Server Error 


* * * * * ! test -e /home/tvpwhole/public_html/maintenance.flag && /bin/bash /home/tvpwhole/public_html/scheduler_cron.sh --mode always
* * * * * ! test -e /home/tvpwhole/public_html/maintenance.flag && /bin/bash /home/tvpwhole/public_html/scheduler_cron.sh --mode default

 

Any help is appreciated

 

2 REPLIES

Re: Email not sending

I also received this email when i set the cron jobs to

 

#* * * * * ! test -e /home/tvpwhole/public_html/maintenance.flag && /bin/bash /home/tvpwhole/public_html/scheduler_cron.sh --mode always
#* * * * * ! test -e /home/tvpwhole/public_html/maintenance.flag && /bin/bash /home/tvpwhole/public_html/scheduler_cron.sh --mode default

 

 

Failed loading /usr/local/IonCube/ioncube_loader_lin_5.4.so:  /usr/local/IonCube/ioncube_loader_lin_5.4.so: undefined symbol: execute
Zend Guard Loader requires Zend Engine API version 220100525.
The Zend Engine API version 220121212 which is installed, is newer.
Contact Zend Technologies at http://www.zend.com/ for a later version of Zend Guard Loader.

X-Powered-By: PHP/5.5.31
Content-type: text/html

<br />
<b>Fatal error</b>:  Uncaught exception 'Zend_Db_Adapter_Exception' with message 'The PDO extension is required for this adapter but the extension is not loaded' in /home/tvpwhole/public_html/lib/Zend/Db/Adapter/Pdo/Abstract.php:344
Stack trace:
#0 /home/tvpwhole/public_html/lib/Zend/Db/Adapter/Abstract.php(248): Zend_Db_Adapter_Pdo_Abstract-&gt;setFetchMode(2)
#1 /home/tvpwhole/public_html/app/code/core/Mage/Core/Model/Resource.php(175): Zend_Db_Adapter_Abstract-&gt;__construct(Array)
#2 /home/tvpwhole/public_html/app/code/core/Mage/Core/Model/Resource.php(110): Mage_Core_Model_Resource-&gt;_newConnection('pdo_mysql', Object(Mage_Core_Model_Config_Element))
#3 /home/tvpwhole/public_html/app/code/core/Mage/Core/Model/Resource/Db/Abstract.php(320): Mage_Core_Model_Resource-&gt;getConnection('core_write')
#4 /home/tvpwhole/public_html/app/code/core/Mage/Core/Model/Resource/Db/Abstract.php(350): Mage_Core_Model_Resource_Db_Abstract-&gt;_getConnection('write')
#5 /home/tvpwhole/public_html/app/code/core/Mage/Core/Model/Resource/Db/Abstract.php(335) in <b>/home/tvpwhole/public_html/lib/Zend/Db/Adapter/Pdo/Abstract.php</b> on line <b>344</b><br />

Re: Email not sending

You installed the ionCube Loaders for PHP 5.4 (as indicated by the filename), yet you have PHP 5.5 installed (X-Powered-By: PHP/5.5.31).

You can download the appropriate ionCube Loaders from here or use the Loader Wizard available here (zip,gz) to help with the installation; in any case, you'll have to remove the zend_extension = <path to the outdated loaders/> line from your php.ini and restart your PHP/Apache process to remove the outdated Loader extension.